Subject: linux-next: build failure after merge of the block tree

From: Mark Brown <[email-masked]>
Date: Fri, 6 Mar 2026 14:09:52 +0000

Hi all,

After merging the block tree, today's linux-next build (x86_64
allmodconfig) failed like this:

/tmp/next/build/drivers/net/wireless/intel/iwlwifi/dvm/debugfs.c: In function 'iwl_dbgfs_sram_read':
/tmp/next/build/drivers/net/wireless/intel/iwlwifi/dvm/debugfs.c:135:15: error: implicit declaration of function 'simple_copy_to_iter'; did you mean '_copy_to_iter'? [-Wimplicit-function-declaration]
  135 |         ret = simple_copy_to_iter(buf, &iocb->ki_pos, pos, to);
      |               ^~~~~~~~~~~~~~~~~~~
      |               _copy_to_iter
make[9]: *** [/tmp/next/build/scripts/Makefile.build:289

Caused by commit

  4f2ea80dc6c44 (fixup! treewide: fix remaining read/write iterator conversion issues)

I suspect I ought to be applying a merge fixup however since the block
tree obviously isn't intended to be in the state it's in anyway I've
merged the version from 20260305 for now instead.